Index: npl/fileserver/git/git.SlackBuild
===================================================================
--- npl/fileserver/git/git.SlackBuild	(revision e0aac361b0c44b0001d08c18e1d747de46f0a2d6)
+++ npl/fileserver/git/git.SlackBuild	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -1,62 +1,32 @@
 #!/bin/bash
-#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
-#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
-#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
-##################################### Build dependency info:
-
 #DEP:openssl
 #DEP:zlib
 #DEP:python
 #DEP:curl
+#DEP:expat
+#NEED:linuxdoc_tools
 
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.*`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`arch`
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/d/git/
+# Created at Mon Mar  4 16:54:55 CET 2019
 
 
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-#build and install sourcefiles
-#(use one of the other syn3_build_* scripts when needed)
-export CONFIGURE_OPTS=""
-export MAKE_OPTS=""
-export NOTEST=1
-pushd $SRC_DIR
-make configure || exit 1
-popd
-syn3_build_automake $SRC_DIR /tmp/pkg || exit 1
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./git.SlackBuild.orig
 
 
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/fileserver/git/git.SlackBuild.orig
===================================================================
--- npl/fileserver/git/git.SlackBuild.orig	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/git.SlackBuild.orig	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,177 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2011, 2016, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=git
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+eval $(perl '-V:installvendorlib')
+PERLDIR=$installvendorlib/$ARCH-linux-thread-multi/auto
+
+if ls /var/log/packages/git-* 1> /dev/null 2> /dev/null ; then
+  echo "The git package needs to be removed before building to ensure that"
+  echo "the perl modules are included in the new package."
+  echo
+  echo "Removing the git package in 15 seconds, and then continuing with the build."
+  sleep 15
+  removepkg git
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+else
+  SLKCFLAGS="-O2"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-git
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf git-$VERSION
+tar xvf $CWD/git-$VERSION.tar.?z* || exit 1
+cd git-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/git-$VERSION
+cp -a \
+  COPYING* INSTALL  \
+  Documentation \
+  contrib \
+  $PKG/usr/doc/git-$VERSION
+#( cd $PKG/usr/doc/git-$VERSION/Documentation ; rm *.1 *.3 *.7 )
+( cd $PKG/usr/doc/git-$VERSION && find . -name ".git*" -exec rm -r "{}" \; )
+
+make $NUMJOBS \
+  prefix=/usr \
+  mandir=/usr/man \
+  CFLAGS="$SLKCFLAGS" \
+  INSTALLDIRS=vendor \
+  ASCIIDOC8=YesPlease \
+  all doc || exit 1
+
+make \
+  prefix=/usr \
+  mandir=/usr/man \
+  "CFLAGS=$SLKCFLAGS" \
+  INSTALLDIRS=vendor \
+  ASCIIDOC8=YesPlease \
+  install \
+  install-doc \
+  DESTDIR=$PKG || exit 1
+
+#mv $PKG/usr/share/man/man3 $PKG/usr/man
+rm -rf $PKG/usr/share/man
+
+# Don't stomp on perl's file:
+rm -f $PKG/usr/lib*/perl5/perllocal.pod
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.? || true
+ 
+      )
+    done
+  )
+fi
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Since Stuart Winter hates hard links.  ;-)
+#
+# Switch a hard link with a soft link:
+( cd $PKG/usr/bin
+  find . -links +1 -not -name git | while read gitfile ; do
+    if [ git -ef $gitfile ]; then
+      rm -vf $gitfile
+      ln -vfs git $gitfile
+    fi
+  done
+)
+
+# This removes our DESTDIR from the packlist filenames, to keep perl's 
+# internal inventories consistent and correct.
+find $PKG -name .packlist | while read plist ; do
+  sed -e "s%/share/man%/man%g" \
+      -e "s%$PKG%%g" \
+      -e "s%\.2$%\.2\.gz%g" \
+      -e "s%\.3pm$%\.3pm\.gz%g" \
+      -e "s%\.4$%\.4\.gz%g" \
+      -e "s%\.5$%\.5\.gz%g" \
+      -e "s%\.6$%\.6\.gz%g" \
+      -e "s%\.8$%\.8\.gz%g" \
+      ${plist} > ${plist}.new
+      mv -f ${plist}.new ${plist}
+done
+
+# This is junk:
+#eval $(perl '-V:privlib')
+#(# cd $PKG$(dirname $privlib) && rm -rf 5.* )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/git-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/fileserver/git/git.build
===================================================================
--- npl/fileserver/git/git.build	(revision e0aac361b0c44b0001d08c18e1d747de46f0a2d6)
+++ npl/fileserver/git/git.build	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -1,1 +1,1 @@
-6529
+6530
Index: npl/fileserver/git/git.depver
===================================================================
--- npl/fileserver/git/git.depver	(revision e0aac361b0c44b0001d08c18e1d747de46f0a2d6)
+++ npl/fileserver/git/git.depver	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -3,2 +3,3 @@
 python	2
 curl	1
+expat	020100
Index: npl/fileserver/git/git.md5
===================================================================
--- npl/fileserver/git/git.md5	(revision e0aac361b0c44b0001d08c18e1d747de46f0a2d6)
+++ npl/fileserver/git/git.md5	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -1,4 +1,9 @@
-a84938bccf9220c7e5ec290b242ae53b  ./git-2.11.0.tar.gz
-af848a0ae240ccebee9f1485fe7e88d8  ./git.pkg
-7e22fea0ad7a6ae81e361c66cbcf8d90  ./git.SlackBuild
-8a4e73d5524169ae2e750d452c09886d  ./git.SlackBuild.log.gz
+16260b6ac5614f23c63ea890351f356b  ./git-2.21.0.tar.sign
+a74a7e716e1e548104bc942afc860fdb  ./git-2.21.0.tar.xz
+1be3f43f656f729bbfb3d3a988bafc4e  ./git_dev.pkg
+1ab9978c1ca4eb2d7eec1a53a1bb7f51  ./git.pkg
+3f010de572fc8127a2455536b12e272d  ./git.SlackBuild
+339b606a558df04403f6057909bb8344  ./git.SlackBuild.log.gz
+d48158b3eb5dffaf7bb6573c0b89f132  ./git.SlackBuild.orig
+3b6bcf2ad471d70fdb27aa463e1b326f  ./git.url
+f34dcfefc3ba8a8ec153af0f064b7fc3  ./slack-desc
Index: npl/fileserver/git/git.url
===================================================================
--- npl/fileserver/git/git.url	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/git.url	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,1 @@
+https://www.kernel.org/pub/software/scm/git/
Index: npl/fileserver/git/git.version
===================================================================
--- npl/fileserver/git/git.version	(revision e0aac361b0c44b0001d08c18e1d747de46f0a2d6)
+++ npl/fileserver/git/git.version	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -1,1 +1,1 @@
-2.11.0
+2.21.0
Index: npl/fileserver/git/git_dev.arch
===================================================================
--- npl/fileserver/git/git_dev.arch	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/git_dev.arch	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,1 @@
+i586
Index: npl/fileserver/git/git_dev.build
===================================================================
--- npl/fileserver/git/git_dev.build	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/git_dev.build	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,1 @@
+1
Index: npl/fileserver/git/git_dev.version
===================================================================
--- npl/fileserver/git/git_dev.version	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/git_dev.version	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,1 @@
+2.21.0
Index: npl/fileserver/git/slack-desc
===================================================================
--- npl/fileserver/git/slack-desc	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
+++ npl/fileserver/git/slack-desc	(revision 9e573a2086e0c3329a0df1aab8bbaf031855917c)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+git: git (the stupid content tracker)
+git:
+git: Git is a fast, scalable, distributed revision control system with an
+git: unusually rich command set that provides both high-level operations
+git: and full access to internals.
+git:
+git: "git" can mean anything, depending on your mood.
+git:
+git: Git was originally written by Linus Torvalds and is currently
+git: maintained by Junio C. Hamano.
+git:
